<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:019d1fb3-1a5f-7083-91a6-b74c759027ec,g:201cb33c-28ed-496c-9973-e60e6c0eefa8-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_clf_FairValuesAtVestDateForAwardsGrantedAndVestedInCurrentYearMember_label_en-US" xlink:label="lab_clf_FairValuesAtVestDateForAwardsGrantedAndVestedInCurrentYearMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Fair Values At Vest Date For Awards Granted And Vested In Current Year [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_clf_FairValuesAtVestDateForAwardsGrantedAndVestedInCurrentYearMember" xlink:href="clf-20260402.xsd#clf_FairValuesAtVestDateForAwardsGrantedAndVestedInCurrentYearMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_clf_FairValuesAtVestDateForAwardsGrantedAndVestedInCurrentYearMember" xlink:to="lab_clf_FairValuesAtVestDateForAwardsGrantedAndVestedInCurrentYearMember" xlink:type="arc" order="1"/>
    <link:label id="lab_clf_YearEndFairValueOfUnvestedAwardsGrantedInTheCurrentYearMember_label_en-US" xlink:label="lab_clf_YearEndFairValueOfUnvestedAwardsGrantedInTheCurrentYearMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Year-End Fair Value Of Unvested Awards Granted In The Current Year [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_clf_YearEndFairValueOfUnvestedAwardsGrantedInTheCurrentYearMember" xlink:href="clf-20260402.xsd#clf_YearEndFairValueOfUnvestedAwardsGrantedInTheCurrentYearMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_clf_YearEndFairValueOfUnvestedAwardsGrantedInTheCurrentYearMember" xlink:to="lab_clf_YearEndFairValueOfUnvestedAwardsGrantedInTheCurrentYearMember" xlink:type="arc" order="1"/>
    <link:label id="lab_clf_DividendsOrDividendEquivalentsNotOtherwiseIncludedInTheTotalCompensationMember_label_en-US" xlink:label="lab_clf_DividendsOrDividendEquivalentsNotOtherwiseIncludedInTheTotalCompensationMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Dividends Or Dividend Equivalents Not Otherwise Included In The Total Compensation [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_clf_DividendsOrDividendEquivalentsNotOtherwiseIncludedInTheTotalCompensationMember" xlink:href="clf-20260402.xsd#clf_DividendsOrDividendEquivalentsNotOtherwiseIncludedInTheTotalCompensationMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_clf_DividendsOrDividendEquivalentsNotOtherwiseIncludedInTheTotalCompensationMember" xlink:to="lab_clf_DividendsOrDividendEquivalentsNotOtherwiseIncludedInTheTotalCompensationMember" xlink:type="arc" order="1"/>
    <link:label id="lab_clf_DifferencesInFairValuesBetweenPriorYearEndFairValuesAndVestDateFairValuesForAwardsGrantedInPriorYearsMember_label_en-US" xlink:label="lab_clf_DifferencesInFairValuesBetweenPriorYearEndFairValuesAndVestDateFairValuesForAwardsGrantedInPriorYearsMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Differences In Fair Values Between Prior Year-End Fair Values And Vest Date Fair Values For Awards Granted In Prior Years [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_clf_DifferencesInFairValuesBetweenPriorYearEndFairValuesAndVestDateFairValuesForAwardsGrantedInPriorYearsMember" xlink:href="clf-20260402.xsd#clf_DifferencesInFairValuesBetweenPriorYearEndFairValuesAndVestDateFairValuesForAwardsGrantedInPriorYearsMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_clf_DifferencesInFairValuesBetweenPriorYearEndFairValuesAndVestDateFairValuesForAwardsGrantedInPriorYearsMember" xlink:to="lab_clf_DifferencesInFairValuesBetweenPriorYearEndFairValuesAndVestDateFairValuesForAwardsGrantedInPriorYearsMember" xlink:type="arc" order="1"/>
    <link:label id="lab_clf_PensionPriorYearServiceCostImpactingCurrentYearMember_label_en-US" xlink:label="lab_clf_PensionPriorYearServiceCostImpactingCurrentYearMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Pension Prior Year Service Cost Impacting Current Year [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_clf_PensionPriorYearServiceCostImpactingCurrentYearMember" xlink:href="clf-20260402.xsd#clf_PensionPriorYearServiceCostImpactingCurrentYearMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_clf_PensionPriorYearServiceCostImpactingCurrentYearMember" xlink:to="lab_clf_PensionPriorYearServiceCostImpactingCurrentYearMember" xlink:type="arc" order="1"/>
    <link:label id="lab_clf_PensionCurrentYearServiceCostMember_label_en-US" xlink:label="lab_clf_PensionCurrentYearServiceCostMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Pension Current Year Service Cost [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_clf_PensionCurrentYearServiceCostMember" xlink:href="clf-20260402.xsd#clf_PensionCurrentYearServiceCostMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_clf_PensionCurrentYearServiceCostMember" xlink:to="lab_clf_PensionCurrentYearServiceCostMember" xlink:type="arc" order="1"/>
    <link:label id="lab_clf_YearOverYearDifferenceOfYearEndFairValuesForUnvestedAwardsGrantedInPriorYearsMember_label_en-US" xlink:label="lab_clf_YearOverYearDifferenceOfYearEndFairValuesForUnvestedAwardsGrantedInPriorYearsMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Year-Over-Year Difference Of Year-End Fair Values For Unvested Awards Granted In Prior Years [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_clf_YearOverYearDifferenceOfYearEndFairValuesForUnvestedAwardsGrantedInPriorYearsMember" xlink:href="clf-20260402.xsd#clf_YearOverYearDifferenceOfYearEndFairValuesForUnvestedAwardsGrantedInPriorYearsMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_clf_YearOverYearDifferenceOfYearEndFairValuesForUnvestedAwardsGrantedInPriorYearsMember" xlink:to="lab_clf_YearOverYearDifferenceOfYearEndFairValuesForUnvestedAwardsGrantedInPriorYearsMember" xlink:type="arc" order="1"/>
    <link:label id="lab_clf_ForfeituresDuringCurrentYearEqualToPriorYearEndFairValueMember_label_en-US" xlink:label="lab_clf_ForfeituresDuringCurrentYearEqualToPriorYearEndFairValueMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Forfeitures During Current Year Equal To Prior Year-End Fair Value [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_clf_ForfeituresDuringCurrentYearEqualToPriorYearEndFairValueMember" xlink:href="clf-20260402.xsd#clf_ForfeituresDuringCurrentYearEqualToPriorYearEndFairValueMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_clf_ForfeituresDuringCurrentYearEqualToPriorYearEndFairValueMember" xlink:to="lab_clf_ForfeituresDuringCurrentYearEqualToPriorYearEndFairValueMember" xlink:type="arc" order="1"/>
    <link:label id="lab_clf_GrantDateValuesInTheSCTMember_label_en-US" xlink:label="lab_clf_GrantDateValuesInTheSCTMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Grant date values in the SCT [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_clf_GrantDateValuesInTheSCTMember" xlink:href="clf-20260402.xsd#clf_GrantDateValuesInTheSCTMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_clf_GrantDateValuesInTheSCTMember" xlink:to="lab_clf_GrantDateValuesInTheSCTMember" xlink:type="arc" order="1"/>
    <link:label id="lab_clf_SCTPensionMember_label_en-US" xlink:label="lab_clf_SCTPensionMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">SCT pension [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_clf_SCTPensionMember" xlink:href="clf-20260402.xsd#clf_SCTPensionMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_clf_SCTPensionMember" xlink:to="lab_clf_SCTPensionMember" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
